#!/bin/sh

# This file now contains just the overrides from /etc/defaults/rc.conf.
# Please make all changes to this file, not to /etc/defaults/rc.conf.

#tmpmfs="YES"                  # Not done due to limited RAM on our 
#tmpsize="128m"                # boxes.
varmfs="NO"
background_fsck=NO

##############################################################
###  Network configuration sub-section  ######################
##############################################################

### Basic network and firewall/security options: ###
hostname="pc1"

# For the following option you need to have TCP_DROP_SYNFIN set in your
# kernel.  Please refer to LINT and NOTES for details.
#tcp_drop_synfin="YES"		# Set to YES to drop TCP packets with SYN+FIN
				# NOTE: this violates the TCP specification
ifconfig_lo0="inet 127.0.0.1"   # default loopback device configuration.
ifconfig_bge0="inet 203.94.88.192 netmask 255.255.255.0"
defaultrouter="203.94.88.1"

inetd_enable="YES"		# Run the network daemon dispatcher (YES/NO).

named_enable="YES"              # Run named, the DNS server (or NO).
named_flags="-t /var/dns -c /etc/named.conf" # Flags for named

sshd_enable=YES

### Network Time Services options: ###
ntpd_enable="YES"               # Run ntpd Network Time Protocol (or NO).
ntpd_flags="-g -p /var/run/ntpd.pid -f /var/db/ntpd.drift"
                                # Flags to ntpd (if enabled).

##############################################################
###  System console options  #################################
##############################################################

keymap="us.emacs"	# keymap in /usr/share/syscons/keymaps/* (or NO).
keyrate="fast"		# keyboard rate to: slow, normal, fast (or NO).
blanktime="NO"		# blank time (in seconds) or "NO" to turn it off.

##############################################################
###  Mail Transfer Agent (MTA) options  ######################
##############################################################

sendmail_submit_enable="NO"
sendmail_outbound_enable="NO"	# Dequeue stuck mail (YES/NO).
sendmail_msp_queue_enable=NO	# Dequeue stuck clientmqueue mail (YES/NO).

exim_enable="YES"
exim_flags="-bd -q1m"
spamd_enable="YES"

##############################################################
###  Miscellaneous administrative options  ###################
##############################################################

apache22_enable="YES"           # Start the Apache web server
apache22ssl_enable="YES"        # Include ssl support (https)

mailman_enable="YES"

clear_tmp_enable="YES"  # Clear /tmp at startup.

kern_securelevel_enable="NO"    # kernel security level (see init(8)),
kern_securelevel="-1"   # range: -1..3 ; `-1' is the most insecure

check_quotas="NO"

# end
